shacal2.h File Reference

Classes for the SHACAL-2 block cipher. More...

Go to the source code of this file.

## Classes

class | SHACAL2_Info
| SHACAL2 block cipher information. More...
class | SHACAL2
| SHACAL2 block cipher. More...

## Typedefs

typedef SHACAL2::Encryption | SHACAL2Encryption
typedef SHACAL2::Decryption | SHACAL2Decryption

## Detailed Description

Classes for the SHACAL-2 block cipher.

Definition in file shacal2.h.